Featherlane AI
ReferenceHTTP API

Label policies

curl -X GET "https://example.com/v1/label-policies"
{  "policies": [    {      "enabled": true,      "policy": {        "confidentiality": null,        "integrity": null,        "origin": "user",        "trust": null      }    }  ]}
POST
/v1/label-policies

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Upsert body for POST /v1/label-policies: the wire policy plus an optional enabled flag (defaults to true).

Upsert body for POST /v1/label-policies: the wire policy plus an optional enabled flag (defaults to true).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/label-policies" \  -H "Content-Type: application/json" \  -d '{    "origin": "user"  }'
{  "enabled": true,  "policy": {    "confidentiality": null,    "integrity": null,    "origin": "user",    "trust": null  }}
GET
/v1/label-policies/{origin}

Path Parameters

origin*string

Source origin (snake_case)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/label-policies/string"
{  "enabled": true,  "policy": {    "confidentiality": null,    "integrity": null,    "origin": "user",    "trust": null  }}
DELETE
/v1/label-policies/{origin}

Path Parameters

origin*string

Source origin (snake_case)

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/label-policies/string"
Empty